<style>
    table {
          width: 100% !important;
      }
      .danger{
      background-color:#f44336 !important;
    }

    #products > .center > .header .search-wrapper {
  width: 100%;
  max-width: 480px;
background-color: #ffffff;
  border-radius: 28px;
  overflow: hidden;
  box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
}
#products > .center > .header .search-wrapper .search input {
  width: 100%;
  height: 48px;
  min-height: 48px;
  max-height: 48px;
  padding: 0 16px;
  border: none;
  outline: none;
}

.header .search-wrapper .search .mat-icon {
  color: rgba(0, 0, 0, 0.54);
}
.mat-icon {
  background-repeat: no-repeat;
  display: inline-block;
  fill: currentColor;
  height: 24px;
  width: 24px;
}
.mat-icon {
  font-weight: 400 !important;
  line-height: 1;
}
</style>
<div id="products" class="page-layout carded fullwidth">

  <!-- TOP BACKGROUND -->
  <div class="top-bg accent"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

      <!-- HEADER -->
      <div class="header accent"
           fxLayout="column" fxLayoutAlign="center center"
           fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">

          <!-- APP TITLE -->
          <div class="logo mb-24 mb-md-0"
               fxLayout="row" fxLayoutAlign="start center">
              <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                note
              </mat-icon>
              <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                  {{title}}
              </span>
          </div>
          <!-- / APP TITLE -->

          <!-- SEARCH -->
          <!-- <div class="search-wrapper mx-32 mx-md-0">

              <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                  <mat-icon>search</mat-icon>
                  <input (keyup)="doFilter($event.target.value)" placeholder="Search for a users">
              </div>
          </div> -->
          <!-- / SEARCH -->
          &nbsp;
          <!-- ADD BUTTON -->
          <button mat-raised-button [routerLink]="['/apps/admin/Create-Notes','',eId,type]"
                  
                  class="add-product-button fuse-white mt-24 mt-md-0">
              <span>ADD NOTES</span>
          </button>

          <button mat-raised-button [routerLink]="[url]"
                  
                  class="add-product-button fuse-white mt-24 mt-md-0">
              <span> 
                BACK</span>
          </button>
     
          <!-- / ADD BUTTON -->

      </div>
      <!-- / HEADER -->

      <!-- CONTENT CARD -->
      <div class="content-card">

        <mat-card *ngIf="isLoading" 
        style="display: flex; justify-content: center; align-items: center">
       <mat-progress-spinner 
         color="primary" 
         mode="indeterminate">
       </mat-progress-spinner>
     </mat-card> 

          <table mat-table [dataSource]="dataSource" class="products-table mat-elevation-z8"  [@animateStagger]="{value:'50'}"
          fusePerfectScrollbar>

              <!--- Note that these columns can be defined in any order.
                    The actual rendered columns are set as a property on the row definition" -->
            
              <!-- Position Column -->
              <!--- Note that these columns can be defined in any order.
      The actual rendered columns are set as a property on the row definition" -->

      <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef> Sr.No.  &nbsp;  &nbsp;&nbsp; </th>
          <td mat-cell *matCellDef="let element; let i = index;">  {{element.id}} </td>
        </ng-container>
      

      <ng-container matColumnDef="notes">
          <th mat-header-cell *matHeaderCellDef> Note &nbsp;&nbsp; </th>
          <td mat-cell *matCellDef="let element"> {{element.notes}} </td>
      
        </ng-container>
      

        <ng-container matColumnDef="action">
          <th mat-header-cell *matHeaderCellDef><center>Action</center>  </th>
          <td mat-cell *matCellDef="let element"> &nbsp; &nbsp;

            <button mat-raised-button (click)="onStatusChange(element.id,1)"  *ngIf="element.status==0"   color="green" class="success"> Active</button> 
            <button mat-raised-button (click)="onStatusChange(element.id,0)"  *ngIf="element.status==1"   color="accent" class="danger"> In Active</button>  &nbsp;

              <a  [routerLink]="['/apps/admin/Edit-Notes', element.id,eId,type]" mat-raised-button color="accent"> Edit</a> &nbsp;
              <button (click)="onDelete(element.id)" mat-raised-button  color="accent" class="danger"> Delete</button> 
            </td>
        </ng-container>
            
              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>

            <center *ngIf="dataSource.filteredData.length == 0">No Records Found!</center>
            <mat-paginator [pageSizeOptions]="[50]"></mat-paginator>

            
            <!-- <mat-paginator [pageSize]="2" [pageSizeOptions]="[2, 4, 6, 10, 20]">
            </mat-paginator> -->


      </div>
      <!-- / CONTENT CARD -->
  </div>
  <!-- / CENTER -->
</div>
